Package | Class | Deprecated
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.makumba
Interface Attributes

    public interface Attributes

The attributes provided by a makumba environment (for example a http session). Attributes can be referred and assigned to in business logic code.

Version:
  $Id: Attributes.java 3527 2009-01-02 16:13:26Z rosso_nero $
Author:
  Cristian Bogdan

Method Summary
`Object` | `getAttribute(String name)` Gets the attribute with the given name.
`boolean` | `hasAttribute(String name)` Checks whether an attribute exists
`void` | `removeAttribute(String name)` Removes an attribute
`Object` | `setAttribute(String name, Object value)` Sets the value of an attribute

Method Detail

### getAttribute

    Object getAttribute(String name)
                        throws LogicException

  Gets the attribute with the given name.

  Parameters:
    `name` - the name of the attribute
  Returns:
    the attribute value
  Throws:
    `LogicException` - if a business logic problem occured while trying to determine the attribute
    `AttributeNotFoundException` - if there was no error but the attribute could not be found.

### setAttribute

    Object setAttribute(String name,
                        Object value)
                        throws LogicException

  Sets the value of an attribute

  Parameters:
    `name` - the name of the attribute
    `value` - the value of the attribute
  Returns:
    the old value of the attribue, or null if there was none
  Throws:
    `LogicException` - if a business logic problem occured while trying to set the attribute (though at present the BL has no supported way to check that).

### removeAttribute

    void removeAttribute(String name)
                         throws LogicException

  Removes an attribute

  Parameters:
    `name` - the name of the attribute
  Throws:
    `LogicException` - if a business logic problem occured while trying to remove the attribute

### hasAttribute

    boolean hasAttribute(String name)

  Checks whether an attribute exists

  Parameters:
    `name` - the name of the attribute
  Returns:
    true if the attribute exists, false otherwise.

Package | Class | Deprecated
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Docs generated on 2009-02-25 14:20